commit d638ddd73fac0ec8d42a6d0f2f98005e8b926793
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:29 2023 +0000

    bookworm

commit 377ba6a5e75a52499a078af43ce5171f5732ae7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:07:34 2023 +0000

    bumped changelog version

commit 692dda9fe952b794340e55356bd04b5f922ef9b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:04 2023 +0000

    readme

commit 5535793dbbc9ee2b1b65578921c26bb124874366
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:03:38 2023 +0000

    bumped changelog version

commit 9953b5de333ab5b187dc91bb6af2526b356470d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:46 2023 +0000

    copyright

commit dd0f4cbdb8df606cf5163ba72c19c4c63fd9e0a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 17:59:19 2023 +0000

    bumped changelog version

commit 592566e63d4457e5a8a3097cdf0adb3a64acec94
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:31 2023 +0000

    Standards-Version: 4.6.1.0

commit 166de740a92fc9d4bd390aa495a43f8a510f310c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:23:24 2023 +0000

    bumped changelog version

commit 2e128d365d4cca3813ffdeafae3d893186fcc55a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:00 2023 +0000

    update copyright year

commit 70fcb4f609a6b99de386935a4d4baf771dd2f930
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:48:03 2023 +0000

    abolish /rw/config parsing
    (Does not influence Qubes specific /rw/config parsing.)

commit 3a4886450748430a7c34541a3e08ed24f2eedbb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:13 2022 -0400

    bumped changelog version

commit ecf6a660f1b3e45c196043b2a5cb7af568b2fc4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:08 2022 -0400

    readme

commit e85e403ba3d1c95369ee7e618426e26939bebf07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:37 2022 -0400

    copyright

commit da954f1e7c592272cbacf6bef548873510f2fca9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:14 2022 -0400

    readme

commit cad19674ebab14963f500f57f5aa0f38767bf37f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:51:37 2022 -0400

    rename

commit 68fa4222a62cfc2e7539a6f61121f8ba20043345
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:54:58 2022 -0500

    bumped changelog version

commit b137247015aa5552bc3263ee84abc4c530edc322
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:52:59 2022 -0500

    fix

commit 7d8f76252d1a27ca3eb10f2e3a296db9cc8193a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:49:11 2022 -0500

    fix

commit 7ed1f15a1c71f6c1eac93c369f1f25bec8c76565
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:47:28 2022 -0500

    bumped changelog version

commit a22b96d2e0a14ddf281bbcc28e96a5f6e88fb2c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:47:17 2022 -0500

    fix

commit 622cb7a9b88f5e4f19546564cf2d4b1675f7f6b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:42:17 2022 -0500

    bumped changelog version

commit 38e03d1737b185934fc0a6f4c3558b1666c2a978
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 15 12:41:32 2022 -0500

    add infinite recursive loop protection

commit 872cfc20ef7766527ccb589355ef2ffdbdd2edb8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:32 2021 -0500

    readme

commit fae6451754a39a83b6f46f56bdb6e7d6086162b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:52:39 2021 -0400

    bumped changelog version

commit d207eeb88a5ff67c25aa1ab6274b8c44a77c4f2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:37 2021 -0400

    readme

commit f4c5f41a47b11ed7f777a92fce82abecfb7045e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 6 17:56:28 2021 -0400

    bumped changelog version

commit 0196f8f3eb9b009a7aeca595806aa96c696b0e9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 6 17:55:44 2021 -0400

    fix path

commit b0dcc3533fe07f426d1b0f38e482e1b5be5a9eb4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:58:39 2021 -0400

    bumped changelog version

commit 068f777e3c6ad9118e9d785207399ec40fd1804f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:52:43 2021 -0400

    usr/libexec/open-link-confirmation/open_link_confirmation -> usr/libexec/open-link-confirmation/open-link-confirmation

commit 1a44c9d906dd398ad119e73593a99e9b253da300
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:51:20 2021 -0400

    renamed:    usr/lib/open-link-confirmation/open-link-confirmation.sh -> usr/libexec/open-link-confirmation/open-link-confirmation.sh
    renamed:    usr/lib/open_link_confirmation -> usr/libexec/open-link-confirmation/open_link_confirmation

commit 864f207ba6ed53218f73ee50131c722455957612
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:12 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit 9e14d66866d70dea127db266a38f028514fd42b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:55 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 3866b357b73733a6edbd06129630d15af4597bd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:24 2021 -0400

    bullseye

commit 231f71e027e73e0d65009a2a6cfe96994d9bad39
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:36 2021 -0400

    readme

commit dfd2c1cbf2a2b3173aaa03ce939a06510aadd594
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:36:18 2021 -0400

    bumped changelog version

commit 7c8fce21d7146a370adbd3073f25b4602901b813
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 28 08:48:31 2021 -0400

    remove SecBrowser code since deprecated

commit bd660be32539d760d9287cdd2af3524a414176e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:45:19 2021 -0400

    bumped changelog version

commit 8b11d05bee7c5488bd5cbf34518cfe1ae155082e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:26:47 2021 -0400

    Kicksecure

commit 016db6551a1c72c66ed7f59544b4888e37777584
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:25:18 2021 -0400

    bumped changelog version

commit 5bb3c672eb40dfeec96f43871ad363f9fe70b600
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:25:17 2021 -0400

    readme

commit 1fc9493a3a55e2ca1629bf57cf837d3352c437a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:34:42 2021 -0400

    refactoring

commit c89fc8c75ac29a8f1a5c5ef8f5f9994d38226ffc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:33:31 2021 -0400

    Kicksecure

commit 30e0e0c251d10843d916257dc486e781c7472b3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:32:33 2021 -0400

    refactoring

commit 4e2c84e7fd3540d8fbda7265668fb82a6afbdadf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:31:59 2021 -0400

    Chromium by default in Kicksecure
    
    https://www.whonix.org/wiki/Dev/Kicksecure_Default_Browser

commit 0dac3ed1b47c7b2549acd0bc1c3756beefb360af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:18 2021 -0400

    copyright

commit 23257046e3141a678715d9e0b99e8c0e8575a5de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:39:13 2020 -0400

    bumped changelog version

commit 4780e4843ba71bb96486d212b442f5a3831ab7fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:34 2020 -0400

    readme

commit de1c5736b6fb70846fe7699989ec97d025829e9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:54:28 2020 -0400

    bumped changelog version

commit 748dd59a503b9e993625de198c91fc5e873f9c5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:40 2020 -0400

    readme

commit d0835f13a36946bbd59338e9edc9962bf2c232f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:31 2020 -0400

    remove genmkfile

commit c88e0fa9d71b670772ef107c91af771bffe09b83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:32:57 2020 -0400

    add debian install file

commit a5f9df06cd27a5b5865bbb20781f624942d64d76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:52:19 2020 -0400

    bumped changelog version

commit 4109012e7ae698e69c3a92a978baaf0183aa1b38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:57 2020 -0400

    update copyright year

commit 4d92f3ac8001cb3a50ba07e9391a93da28732fe2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:53:40 2020 -0400

    bumped changelog version

commit 373a376e975ee30c886ca0c1e59d8f5c7ef3d719
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:42:31 2020 -0400

    /usr/local/etc/open_link_confirm.d/*.conf

commit 509f003a0f2b51e24ca54a4c84b7ede8fe6ea6fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 13 13:36:45 2019 +0000

    bumped changelog version

commit f0dfbeeab479864894a6f21eff937d542d554226
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 13 08:55:34 2019 -0400

    SecBrowser output

commit f16099083ea09cc6fe7ff5f715744132c71bf921
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 15:17:25 2019 +0000

    bumped changelog version

commit fd42ca53942cb5bbf51b2474e6ac37b8583bd54c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 15 14:08:20 2019 +0000

    kwrite -> mousepad

commit 0112e648ba32fce00a272c3fe381b02186f2d4e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:57:45 2019 +0000

    bumped changelog version

commit b428ba30303d3d0a009089e126aece9a7a1c7c59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:40 2019 +0000

    readme

commit 01e40f32e820ed21ca8e482f1cf5283a2988fd31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:42:06 2019 +0000

    bumped changelog version

commit bbbadbc75e2a67c3f5bc4c7c7c2e3dfe0c76046c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:08:35 2019 -0400

    /var/run -> /run

commit 5bcb0e14230c0b31ce820fb4ed4af0e1d2b50779
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:27:34 2019 +0000

    bumped changelog version

commit a774a690b6e52932e862169a39ead7538ca8a30e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:34 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 451e3799cfc41c327508107a19ba646c569d641b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:45:12 2019 +0000

    bumped changelog version

commit 2c94ee8b7455de289bc73fe8425dddca8d9a8ea7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:06 2019 -0400

    readme

commit 7db80d368b9810d9ee4a05c086ad7cc93ea0f256
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:45:06 2019 +0000

    bumped changelog version

commit 55c0972835555d8e77fee406ff8f631b6a2cc3c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:44 2019 -0400

    update path to pre.bsh

commit 233858bb23502d8a71143aa2ffe849d3821d6cf6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:29:37 2019 +0000

    bumped changelog version

commit ea9c290e7a7108ad6d069660b6430697260cd729
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:55 2019 +0000

    update

commit ded12ef3c03b2d9a9b18bc4269626748075e9497
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:08:59 2019 +0000

    bumped changelog version

commit b09c6ae128a6c48a4437e7c1b67dd341e96a22cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:05 2019 -0400

    port to debian buster

commit 56fe57e587b4ea94639ed4885063f63ed27bdd95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:54 2019 -0400

    readme

commit 7613f7699dea83edade2278e1f67763ae59a4927
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:58:07 2019 +0000

    bumped changelog version

commit c936dca159ef27bb8e13c2360e6b9126a52c2070
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:17 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit a8fbc6753aa6b30ca711416b8f108c7ec4bb2ccf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:31:33 2019 +0000

    bumped changelog version

commit 9d20ea555c1936cadf21f40e8ef8031bb2402b5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:40 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit faf1be51f6c710d3f8401b2de15c7940092422d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 13 12:30:29 2018 +0000

    bumped changelog version

commit 30810e6fa96b80a749505ea60e9dfb0d915edf14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 13 04:15:30 2018 -0500

    fix output

commit 4e6e8580978ceca0c6c8ff90d04930bf66b0d178
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:42:35 2018 +0000

    bumped changelog version

commit d025b0011e5ebdf608996567f145d395a3248e2d
Merge: 32eef13 51b2c7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:38:10 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 51b2c7e93f712da6cb8a0d5ea68d5799e2f2ddf5
Merge: 32eef13 128bf0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 8 11:37:34 2018 +0000

    Merge pull request #2 from eyedeekay/master
    
    Labeling non-tor Browsers

commit 128bf0b0140a1689892c3541b0a0b927fe8a6582
Author: idk <problemsolver@openmailbox.org>
Date:   Mon Oct 8 01:10:19 2018 -0400

    That's... not really a fallback anymore, but it should always work.

commit 19ba0dc1f2f0e12f82bf4e9aa24928ed352e719c
Merge: 016cb95 32eef13
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 13:31:39 2018 -0400

    Merge branch 'master' of https://github.com/whonix/open-link-confirmation

commit 016cb959bbf510c70cdba33024d447e0eb98c7d2
Author: idk <problemsolver@openmailbox.org>
Date:   Thu Oct 4 13:29:05 2018 -0400

    label non-Tor browsers

commit 32eef134444a9280e4599d31c624f62f0d77e672
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 3 13:47:36 2018 +0000

    bumped changelog version

commit 24f0c9c42d98965f99b5e9eec8e2988e0fda80a5
Author: idk <problemsolver@openmailbox.org>
Date:   Tue Oct 2 23:07:15 2018 -0400

    enabled the --i2p flag.

commit d317f94d2db614e5095b2cc47d84ab59582c6d80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 2 15:51:58 2018 -0400

    typo

commit a06e2aed20c7398e50bd1d2fd67c97566ea5e776
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 2 15:42:56 2018 -0400

    fix

commit 8e8ae87da1a3fb702235f2750e789a2af8fd3e64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 2 15:24:39 2018 -0400

    fix, remove outdated config entries
    
    fixes Qubes-Whonix-Gateway running
    /usr/lib/open_link_confirmation https://some-link
    and opens in DispVM instead
    
    in other words, fixes:
    Debugging information:
    link_confirmation_vm_open_tool: qvm-open-in-vm
    input_object_stripped_and_trimmed: http://127.0.0.1:7657/
    link_confirmation_vm_open_tool_output: Usage: /usr/bin/qvm-open-in-vm [--view-only] vmname filename
    link_confirmation_vm_open_tool_exit_code: 2

commit 1c8f5eec17c0566d83fcc09439f66e9532ade38d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 10 07:36:06 2018 +0000

    bumped changelog version

commit bbe422fd4e1325704fdc2c8b1da4cfb7dbe4307a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 6 08:45:47 2018 +0000

    comments

commit d7afcdd0648223168092b63759d1d10db19bdfa1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:43:55 2018 +0000

    bumped changelog version

commit bcb106739c23fbfda0eeddc12291b9847f0a3ffe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:34 2018 +0800

    readme

commit eff4264072420b02e293fa1aafc82d639f7f923e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 15:58:28 2018 +0000

    bumped changelog version

commit 248ed96a6b19b65193f6fe588851caf2bd9cea4f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 25 19:13:58 2018 +0800

    fallback

commit ce8e11f9b97591c9623d53a117f6d0b0a9df4122
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 25 19:11:41 2018 +0800

    refactoring

commit 584163868c5ace754e189aa040976e5d53a0451a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 25 19:05:02 2018 +0800

    DE=generic
    
    Qubes sets 'GNOME_DESKTOP_SESSION_ID=c1' therefore `xdg-open`
    detects gnome and sets 'DE=gnome3' which leads to
    `xdg-mime query filetype` output being empty "". Therefore,
    setting 'DE=generic'.;
    
    output: show name of desktop file which will be used by xdg-open

commit 1d0d760af2e785b87a26474dfc7eda55307fbc50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 25 17:22:16 2018 +0800

    open files on workstation using xdg-open rather than x-www-browser
    
    Qubes R3.2 fix

commit b6f037c87192b19e105cc194c9b89dc94154bc5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 20 23:38:14 2018 +0800

    Qubes DVM fixes

commit b20a6efb8aa47e6cc8fdefa3439c232f75726eaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 20 22:48:58 2018 +0800

    don't ask for confirmation on first on in Qubes DispVM
    
    https://github.com/QubesOS/qubes-issues/issues/4113

commit cfa1f5abfabbef4a4d94053b6951e0e9d2135a95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:10:45 2018 +0000

    bumped changelog version

commit 8c746a85fbcdcdc3a52a827bf6e1c547354028a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:32 2018 +0000

    readme

commit 9d7851ccf3c2fe2c4b5dde027c673f7f863fe02c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:53 2018 +0000

    update copyright

commit b7bda075a35258a1df7cf3904304111682dbe914
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:01 2018 +0000

    update copyright

commit 0e304d4bbe3573bdb4b8057a017f618856460e6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:13 2018 +0000

    update copyright

commit 38c9bc14a30f13b5780e150eb5a10c4664d6a8dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:38 2018 +0000

    update copyright

commit f06bffe23ede04f8cb3cda4bd29186784730fa2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 01:41:44 2017 +0000

    bumped changelog version

commit 7273b6c51089d6dc3945bdf6884ce5042eb672ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 19:48:09 2017 +0000

    Whonix 14 KDE plasma 5 fixes
    
    https://phabricator.whonix.org/T633

commit 8a5540dce446a88020fa6f4f1c92cdc575265766
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:03:39 2017 +0000

    bumped changelog version

commit 81486bef608141bcc5dd33bf731e927ecb94ff08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 15 20:46:18 2017 +0000

    Debian stretch / kde plasma5 fix: KDEDIRS -> XDG_CONFIG_DIRS
    
    https://phabricator.whonix.org/T633

commit 4ecf5d4e0867c6f23dbdff9895aab94461f6ca8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:30 2017 +0000

    "$@"

commit 78f5d3617ac8b8936b219c46a5cf4036f6902a5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:51 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit 15a5275ac07c5510cbd50029df5f920df76b9759
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:25 2017 +0000

    remove debian/gain-root-command workaround

commit 76a1dd22d0374d0a8e3210da47a34495e8aded21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:33:32 2017 +0000

    bumped changelog version

commit 71f357703d38f48b0c151c3d7887a861f295c0ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:37 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit ccc56503c29dc1a491c12b373f39fbc0b9537d04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:20:06 2016 +0000

    bumped changelog version

commit 98e806c25a7b793b69935517d3a6eeb54520114a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:42:17 2016 +0000

    readme

commit 3540891b24ed227ca6e5d9b967170c3fa86ea574
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 16 22:35:16 2016 +0000

    redirect opening links from whonix-gw / whonix-ws TemplateVM to anon-whonix
    
    refactoring

commit 22b4993750034de6d59c861c0488c4db543c7654
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 15 22:02:12 2016 +0000

    also source /rw/config/open_link_confirm.d/*.conf for config snippets

commit a2e8c251f9b935b1d700d854fcd2326e5d84da46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:39 2016 +0000

    bumped changelog version

commit 425049baba883655124b0462c7a14bb47235b60e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 8 15:35:08 2016 +0000

    better use "$@" for better compatibility;
    no more need to add --new-tab
    
    http://forums.whonix.org/t/torbrowser-script-bug/1893/1

commit 7dc3af9002b1b6ccbb54b837b6901f5d14d0a28c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 12 00:42:51 2015 +0000

    open links from Qubes-Whonix-Gateway inside a Qubes-Whonix-Workstation
    
    https://phabricator.whonix.org/T452

commit 4c040202918bba228a3c663b6b2be8e5af0249cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 11 23:06:31 2015 +0000

    improved output in case of errors

commit 6e1cd8f63b4d259a68fe1dab4519757144c26080
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 11 23:04:31 2015 +0000

    refactoring, better variable names, use "$@" instead of "${1+"$@"}"

commit 2e2e58be05f7fbb8e9164a066c584c688e381909
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 1 21:32:31 2015 +0000

    fixed config file parser if config folder does not exist

commit 0b6c0f212df08fb4fae06c86cc0abbab6abfdbb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:42:28 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit cd02ba192b0c3a97721fc3695ccfe57fa2779818
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:08:13 2015 +0000

    bumped changelog version

commit e1475f833e09ad6a5770e4b55ca18844b9447e44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:23 2015 +0000

    bumped changelog version

commit 45ef398fb4a175192bef5cf57c7b4509b54856a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 17 19:51:07 2015 +0000

    When running in a Qubes-Whonix-Gateway (where copy and paste from the gateway to the workstation is a lot simpler, recommend 'Please copy the link to the Workstation and open it there.'

commit 99d64de9f2e6c431395ab9aa9e6519e9937e5a62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:00:03 2015 +0000

    bumped changelog version

commit d0f61d3d55c6449d1504363cb3a14fd855d4d6cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:40 2015 +0000

    bumped changelog version

commit 9475ba931edf84d98764db4c5e790243ce74b537
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:19 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit 60eb1f5941b93dff1a0c97c3aeee6151cfdec699
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:16:08 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 0986fd2f0c83acf7fd7fa7bb2d59f5fbbb87ef90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:42:07 2015 +0000

    bumped changelog version

commit 49733023dd38b6d9c654f1c667fcc39d4da89932
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:20 2015 +0000

    added genmkfile to Build-Depends

commit d1ac5bd17231506f1dd8cffe40481d19d3574f56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:41 2015 +0000

    updated makefile generic to version 1.5

commit 07bedc7017df0f737387d0ee482d0bbd8d58c0c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:37 2015 +0000

    bumped changelog version

commit 0a53a39cc6d9dc1ac6d40b87de8dc88099f9bf8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:41 2015 +0000

    updated makefile generic to version 1.4

commit d761462b8992711c757fcfee1b21f84a9aa8a9f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:27 2015 +0000

    bumped changelog version

commit d886c47d799c56c1900464526a850566438c3cb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:44:56 2015 +0000

    added changelog.upstream

commit 4ce38b2a8a673b95f9415ad9e3222bdb7b17ff97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:45 2015 +0000

    updated makefile generic to version 1.3

commit cf45a71f11ef0ba968f2ddd9f001479d742d5160
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:49 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 6f7383164b20bb1ac9dce24d74501b5c9549a435
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 05:59:57 2015 +0000

    added graphical warning sign

commit c37314af2f2bac24b6b7db8c388adba551faef85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:34:49 2015 +0000

    bumped compat from 8 to 9

commit 5c9da53a7dbe921648d24f8b969201656411fda0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:16 2014 +0000

    updated generic makefile

commit 4e6169cf98e25be6b0cca17d3f20161113ddacec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:25 2014 +0000

    makefile: refactoring, avoid using IFS

commit 5cee86fd824a3511546c628600bf3b835cd9aae7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:52 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit 2542099bd979519ee5efd8bb69a4b02ea4429ec1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:43:03 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit ab718ef69ed15d8f07189ea528514e8d44e9f9bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:55 2014 +0000

    readme

commit 3c4cbcda64077c6aa9f3c51080d2553ee2ec0f9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:40 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit b7554a63f384a402662bc2e3d3bee54180860732
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:25 2014 +0000

    Updated debian/changelog.

commit 374f7e5706438f6d7370f004ab081f268aab386b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:28 2014 +0000

    Fixed changelog date.

commit e0f10568a0730602170bdab9e25d6e32691c2a97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:29 2014 +0000

    bump version number

commit ef01644b0ae4eb121be34ef8795803af894811d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:18 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit 425d50971c59241805d4a1031b0040f61fc6b9cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 31 17:25:24 2014 +0000

    output

commit d7d9908e8149c51a7b2870824c8f7486d566e769
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 31 17:19:42 2014 +0000

    output

commit 87a71cac75486e5ec5bc7ec5962660c415bfa177
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:27 2014 +0000

    packaging

commit 3c83b512b274adcb7af49ac20b4ba4488626a12d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:12 2014 +0000

    packaging

commit 7383005cbaf836afde72bcf9b33fda536f81d8cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:37 2014 +0000

    packaging

commit 0eba99c9d849ca203722f27d46e8c813ec8986c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:16:05 2014 +0000

    packaging: removed build dependency on git, since the .git folder won't be included in the upstream tarball.

commit ca37191e2644a25a77d7f450a6f0cdd645a5eff4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 23 13:21:05 2014 +0000

    fix

commit 00b7a52fb0d12cd4d9dc508d20a22eabbda26981
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 23 12:34:49 2014 +0000

    output: prettier default name

commit 2d9cafa29390e0ad4025181c2c26458b1272b8be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:11:02 2014 +0000

    packaging

commit 98c16ccc23eefa57b304e4955b250db346507136
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:18 2014 +0000

    packaging

commit 0394a9f2a7f039a1d3a3c2ce8294b91cd558ff25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 7 00:23:24 2014 +0000

    fix

commit 61fe20f7404de98ae670f82b9424b6929ac16000
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 13:24:28 2014 +0000

    use $BASH_SOURCE instead of $0

commit a7d42be6b1a0d50dc877c3999338e9e130143ef5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 6 11:36:40 2014 +0000

    sanity test; todo

commit 0322c26c7ab54f4de055b778d8bc12d3d528c9d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:09:44 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit 5c899e6b2c9625cf8cfc8c3f8296ac1715d7a10e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 4 05:25:59 2014 +0000

    fix; refactoring

commit cac6e4b94137f7e91f779bd20bc64c95b0db1378
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 4 04:51:07 2014 +0000

    refactoring

commit 9d0f0735da081f6675653bca67cac6462d1a2878
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 4 04:29:50 2014 +0000

    merged generic-gui-message into msgcollector

commit 124a8eeb00af7582c1dd5e66e95608d61da16869
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 14:17:52 2014 +0000

    added html tags to output

commit a3470d92e42b96999e0204ecc1bd615922ad656b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 14:07:51 2014 +0000

    fix

commit 01631ba1292003f69d8336f5547971bbc06e6ba6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 14:02:10 2014 +0000

    fix

commit 794215a6d37ef54ab8b4d3026009064a7af75ce0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 14:01:46 2014 +0000

    fix

commit 91a26143cf838e2230de6457037f31fad934d579
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 13:09:28 2014 +0000

    strip html before showing in generic_gui_message for security reasons

commit 845a8ff4c63cce7266f905f0ad7e6806c65baa62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 3 13:04:24 2014 +0000

    fix

commit dd99168ff53ac0aa6caed2a3319f848ef8d6d979
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 1 11:34:44 2014 +0000

    removed zenity comments

commit 3ca3d3daff543e2a3a0f270e66704ab2945efffc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 1 11:30:25 2014 +0000

    updated dependency: zenity -> generic-gui-message

commit b3725ed07a381f35cd8428ca18a3b4a4c2fc4d95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 29 23:06:42 2014 +0000

    fix output

commit 0e43902f13f78fba4de576100e3eaab4d4ca9ed0
Author: troubadoour <trobador@riseup.net>
Date:   Sun Jun 29 16:07:14 2014 +0000

    removed extras. added some tags

commit 143184e980ebf0ed37de13c96e46ebecb76c35fa
Author: troubadoour <trobador@riseup.net>
Date:   Sat Jun 28 19:15:19 2014 +0000

    Link Confirm Open ERROR

commit 94ec4f897949099fefeb7b89d2eb7c9aeb091daf
Author: troubadoour <trobador@riseup.net>
Date:   Sat Jun 28 19:07:32 2014 +0000

    Link Confirm Open ERROR

commit 71ebda3ae8a4c99664f9cab0d9671bd492e9da24
Author: troubadoour <trobador@riseup.net>
Date:   Sat Jun 28 13:11:03 2014 +0000

    changed generic_gui_message path

commit 3c50f316af7ab49fb8ecb7eeae953a432e108bee
Author: troubadoour <trobador@riseup.net>
Date:   Sat Jun 28 08:59:56 2014 +0000

    use of generic_gui_message

commit 800a2a31cfc7bd99da81276667168af1217870a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:13 2014 +0000

    added debian epoch; added dotglob

commit dfbaa644b80a589fb2d079d25c4efb443d66debe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:34 2014 +0000

    readme

commit ef6b8d17f3da1886395dfde1114067ef4e2fcd0b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 2 14:37:51 2014 +0000

    packaging

commit f502b871c3d1756d027ac05f3d54ec59f16296c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:38:34 2014 +0000

    readme

commit 18772d9e6185e94b88803e427704e135addeb902
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 31 14:37:42 2014 +0000

    # On branch master
    nothing to commit (working directory clean)

commit 9b841ccbfb1d907b7c167562dc44616400a13bd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 20 01:53:36 2014 +0000

    updated package description, use x-www-browser, set OPEN_LINK_CONFIRMATION environment variable

commit 8a81738dd329e5afdcc6b3bc128c800cae3612f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 20 01:04:45 2014 +0000

    outsourced from Whonix main source code https://github.com/Whonix/Whonix
